Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2019-02-03 20:28:20

Redboots
Member
Registered: 2006-04-30
Posts: 11

Update from 4.0.8(?) to 4.2.0

I found I have been ignoring one of my txp installations and the pages were not displaying very well – text overflowing images etc.
After the update I have 5 messages like:
Strict Standards: Non-static method theme::init() should not be called statically in /home/redboots/public_html/txp/textpattern/index.php on line 95
I am logged on, but with zero admin options. Just logoff.

After reading some of the post here, I checked my web service and found that PHP is at 5.6 (with the option to select 5.2, 5.3, 5.4, 5.5, 5.6 and 7.0 – I don’t want to change in case it messes-up my other installs – on 4.6.2 & 4.7.1). MySQL is at 5.6.30
This install was created in 2007.

Am I stuffed or can I recover this somehow?
Thanks in Advance!

Last edited by Redboots (2019-02-03 20:29:38)

Offline

#2 2019-02-03 20:47:31

jakob
Admin
From: Germany
Registered: 2005-01-20
Posts: 3,553
Website

Re: Update from 4.0.8(?) to 4.2.0

Hi Redboots,

Yes, that error message looks like it’s because the very old versions of Textpattern were not compatible with PHP 5.6.

Check with your host, but you can often set another php version on a per folder basis by adding a line to the .htaccess file. See this comment. You probably need php 5.2 for Textpattern version 4.0.8. e.g. put this line in your .htaccess file in that installation only.

AddHandler application/x-httpd-php52 .php

That said, most hosts are phasing out older PHP versions, so you’re going to have a problem with that ancient version sooner or later and it would be advisable to update.

Am I stuffed or can I recover this somehow?

What’s also possible – and advisable to do now – is to make a backup of your database and files and keep that on file. You can then update that site on your computer using something like MAMP or XAMPP to run a web server on your computer. Or one of us on the forum can assist ;-)


TXP Builders – finely-crafted code, design and txp

Offline

#3 2019-02-03 21:08:14

Redboots
Member
Registered: 2006-04-30
Posts: 11

Re: Update from 4.0.8(?) to 4.2.0

Hi Jakob,

thanks for the reply and the pointers!
I will get on to my web hoster tomorrow and see if they will accommodate me:-))
I also notice that my config.php has: $txpcfg[‘dbcharset’] = ‘latin1’;
I found the plugin “rvm_latin1_to_utf8 v0.5” and assume I will have to run that when I get admin access.

Backups being taken…

Schöne Grüße,
John

Offline

#4 2019-02-04 16:38:35

Redboots
Member
Registered: 2006-04-30
Posts: 11

Re: Update from 4.0.8(?) to 4.2.0

Its seems the installation was not as old as I though. I found a backup on an old USB HD from 11/2017 and the TXP version is 4.6.0
As I had messed it up trying to get 4.0.8 on, I decided to delete and re-install this instance.
All seemed to go well, but logging onto the admin side, I have errors. The top one being:

User_Error “Unknown column ‘prefs_id’ in ‘field list’”
in /xxxxx/xxxxxx/public_html/txp/textpattern/lib/txplib_db.php at line 409.

I don’t know enough to see what’s going on, but as it worked before, I assume something is not being parsed correctly (?)
On the login page, there is some oddness with the display. Buttons are shown as: “log_in_button” and “stay_logged_in”. This is carried through to the admin menu display (which is where the errors display) and the page display Language and although other tabs are there, nothing is actionable

Help! :-))

Offline

#5 2019-02-04 17:38:47

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 7,342
Website

Re: Update from 4.0.8(?) to 4.2.0


Yiannis
——————————
neme.org | hblack.net | LABS | State Machines | Respbublika! | NeMe @ github

Offline

#6 2019-02-04 18:39:39

Redboots
Member
Registered: 2006-04-30
Posts: 11

Re: Update from 4.0.8(?) to 4.2.0

colak wrote #316465:

Related?

Thanks for the pointer.
Reading through that, it seems it was looking for something that didn’t exist in 4.6.2
I took a punt and updated to 4.7.1.
Everything back to normal’ish

I will take another backup of everything before trying 4.7.2
I have updated another instance to 4.7.2 and that worked AOK

Thanks again.

Offline

Board footer

Powered by FluxBB